package net.moonleay.quickcrashreports.client.ui;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

public class LaunchGui {
    public static void main(String[] args) {
        if (args.length < 1) {
            System.err.println("Missing crash report path argument");
            System.exit(255);
        }

        try {
            final var report = Files.readString(Path.of(args[0]));
            System.out.println(report);
            // TODO: Add GUI
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
