package net.moonleay.quickcrashreports.client.util

object RunJavaProcess {
    @JvmStatic
    fun runInNewProcess(clazz: Class<*>, vararg args: String) {
        try {
            clazz.getDeclaredMethod("main", Array<String>::class.java)
        } catch (e: NoSuchMethodException) {
            error("Class ${clazz.name} has no main method")
        }

        ForkedRun(clazz.classLoader).withArg(clazz).apply {
            args.forEach(::withArg)
        }.run()
    }
}
